#!/bin/sh

# Only run once
[ -n "${POST_UPGRADE_CACHE}" ] && touch "${POST_UPGRADE_CACHE}/`basename $0`"

# Only run if the template is already instantiated
CFG="/etc/gdi-record/gdi-record.local"
[ -e "${CFG}" ] || exit 0

# Fix a broken mode on control socket; should be group-writeable, so that any
# user in the 'mstorage' group can initiate a flush.
gcs_rwvar gcs_set_varcf2 "socket_mode" "${CFG}" "0660" ""
